%if 0%{?fedora}
%global with_python3 1
%endif

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global modname freezegun

Name:               python-freezegun
Version:            0.1.12
Release:            1%{?dist}
Summary:            Let your Python tests travel through time

Group:              Development/Libraries
License:            ASL 2.0
URL:                http://pypi.python.org/pypi/freezegun
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz
#https://github.com/spulec/freezegun/pull/33
Patch0:             python-freezegun-unconstrain-six.patch

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-six
BuildRequires:      python-dateutil
BuildRequires:      python-sure

%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-six
BuildRequires:      python3-dateutil
BuildRequires:      python3-sure
%endif

Requires:           python-six
Requires:           python-dateutil

%description
python-freezegun is a library that allows your python tests to travel through
time by mocking the datetime module.

%if 0%{?with_python3}
%package -n python3-freezegun
Summary:            Let your Python tests travel through time
Group:              Development/Libraries

Requires:           python3-six
Requires:           python3-dateutil

%description -n python3-freezegun
python3-freezegun is a library that allows your python tests to travel through
time by mocking the datetime module.
%endif

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python2} setup.py test
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%doc README.rst LICENSE
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{modname}-%{version}*

%if 0%{?with_python3}
%files -n python3-freezegun
%doc README.rst LICENSE
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*
%endif

%changelog
* Wed Feb 12 2014 Ralph Bean <rbean@redhat.com> - 0.1.12-1
- initial package for Fedora
